Stores and Shopify

Ambassador revenue, commission, orders, page views, link clicks, creators added and sign-ins, with a daily series and top creators and products

GET/api/public/v1/shopify/stats
LiveAnswers from your brand's records now.

Operation id getShopifyStats

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/shopify/stats" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
campaign_scopequerystringOne of ambassadorsocialall
campaign_idsquerystring
creator_idqueryinteger
sale_sourcequerystringOne of allmetaorganic
customer_occurrencequerystringOne of first_timerepeatall
joined_start_datequerystring (date)
joined_end_datequerystring (date)

Responses

200Success

FieldTypeNotes
dataobject
data.notesobject
data.seriesarray of object
data.top_creatorsobject
data.top_productsobject
data.totalsobject
successboolean

Example

{
  "data": {
    "notes": {},
    "series": [
      {}
    ],
    "top_creators": {},
    "top_products": {},
    "totals": {}
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.